Verify a payment card or payment token

Use this to perform an account verification for a payment card or payment token

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Accepted request type: PaymentCardVerificationRequest and PaymentTokenVerificationRequest.

Request to verify payment card or payment token. Abstract class, do not use this class directly, use one of its children.

string
required

Object name of the account verification request.

billingAddress
object

Address information that is passed to the issuer (it may appear on the cardholder’s statement) or if merchant wants to pass information that differs from the information stored on our master file.

string
length ≤ 20

An optional outlet ID for clients that support multiple stores in the same app.

string
length ≤ 40

The unique merchant transaction ID from the request, if supplied.

string
enum

The source of the transaction. The possible values are ECOM (if the order was received via email or Internet), MOTO (mail order, telephone order), MAIL, PHONE and RETAIL (face to face).

Allowed:
additionalDetails
object

Merchant supplied tracking numbers.

accountOwner
object

Used for PaymentCard or PaymentToken Account Verification.

paymentCard
object

Payment card model.

paymentCardEncrypted
object

This object encapsulates sensitive card data in an encrypted format, ensuring that it's encrypted during transmission.

Headers
string
enum
required
Defaults to application/json

Content type.

Allowed:
string
required

A client-generated ID for request tracking and signature creation, unique per request. This is also used for idempotency control. We recommend 128-bit UUID format.

string
required

Key given to merchant after boarding associating their requests with the appropriate app in Apigee.

int64
required

Epoch timestamp in milliseconds in the request from a client system. Used for Message Signature generation and time limit (5 mins).

string
required

Used to ensure the request has not been tampered with during transmission. The Message-Signature is the Base64 encoded HMAC hash (SHA256 algorithm with the API Secret as the key.) For more information, refer to the supporting documentation on the Developer Portal.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
Want a quick overview?